# Set account-wide variables. These are automatically pulled in to configure the remote state bucket in the root
# terragrunt.hcl configuration.
locals {
  account_name   = "afs-mdr-test-malware-gov"
  account_alias  = "afs-mdr-test-malware-gov"
  aws_account_id = "876942499057"
  instance_termination_protection = false # set to true for production!
  splunk_prefix = "moose"

  account_tags = {
    "Client": local.splunk_prefix
  }
  c2_account_standards_path = "../../mdr-test-c2/005-account-standards-c2"

  # For CIDR assignment, see https://github.mdr.defpoint.com/mdr-engineering/msoc-infrastructure/wiki/IP-Address-Allocation
  vpc_info = {
    "vpc-vmray" = {
      "name" = "vpc-vmray",
      "purpose" = "Malware detonation",
      "cidr" = "10.20.4.0/22",
      "tgw_attached" = true,
    }
  }

  # VMRay Specific
  vmray_server_instance_type = "t3a.micro"
  vmray_worker_instance_type = "c5n.metal"
  vmray_worker_instance_count = 0
  vmray_key_name = "fdamstra" # This is for initial provisioning only. DO NOT CHANGE.
}
